;;ROTMOVE.LSP Copyright 1998-2000,2004 HyperPics all rights reserved
;;
;;  Author: Lee Ambrosius,
;;                Property of HyperPics
;;              http://www.hyperpics.com           

;;ROTMOVE is a command to allows you to rotate an object(s) and then do
;;perform a move right after it. Once loaded just type in RTMV to activate 
;;the command.  

;;This is a great file to place inside of your ACAD.lsp file or use
;;it by itself.

(defun c:RTMV (/ SS1)

;;Error Tile
(defun MYERROR (S)                    ;;error trap program
   (if (/= S "\nFunction canceled")
     (princ "\nEnding Rotate-Move...")
   )
   (command "undo" "end")
   (command "u")
   (setvar "CMDECHO" CMD)
   (setq *ERROR* OLDERR )
  (princ) 
)

  (setq CMD (getvar "cmdecho"))
  (setq OLDERR *ERROR*)
  (setq *ERROR* MYERROR)
  (setvar "cmdecho" 0)
  (command "undo" "begin")
  (prompt "\nSelect objects to Rotate and then Move: ")
  (setq SS1 (ssget))

  (prompt "\nEnter Angle of Rotation: ")
  (setq PT1 (getpoint "\nPick First Point of Displacement : "))
  (command "rotate" SS1 "" PT1 PAUSE)
  (prompt "\nPick Second point of Displacement or type @ to use previous point [@]: ")
  (command "move" SS1 "" PAUSE PAUSE)

  (command "undo" "end")
  (setq *ERROR* OLDERR )
  (setvar "cmdecho" CMD)
 (princ)
)
(prompt "\nType RTMV to run the Rotate Move command.")
(princ)

 

